Subject: [os2genau_digest] No. 921
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sat, 21 Aug 2004 00:01:07 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Friday 20 August 2004
 Number  921
**************************************************

Subjects for today
 
1  Re:  USB RAM & card readers : Voytek Eymont" <voytek at sbt dot net dot au>
2  Re:  USB RAM & card readers : Nicholas Lysaght" <nickl at pacific dot net dot au>
3  Re:  USB RAM & card readers : Voytek Eymont" <voytek at sbt dot net dot au>
4  Re:  USB RAM & card readers : John Angelico" <talldad at kepl dot com dot au>
5  Re:  USB RAM & card readers : Voytek Eymont" <voytek at sbt dot net dot au>
6  Re:  USB RAM & card readers : Nicholas Lysaght" <nickl at pacific dot net dot au>
7  Re:  USB RAM & card readers : Voytek Eymont" <voytek at sbt dot net dot au>
8  Re:  USB RAM & card readers : Voytek Eymont" <voytek at sbt dot net dot au>

**= Email   1 ==========================**

Date:  Fri, 20 Aug 2004 10:08:39 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  USB RAM & card readers

Voytek Eymont said:

after I LVMed it, I can format HPFS

I LVMed into 2 partitions, and formated FAT & HPFS each

-- 
Voytek
----------------------------------------------------------------------------------
 
**= Email   2 ==========================**

Date:  Fri, 20 Aug 2004 10:07:13 -0000
From:  "Nicholas Lysaght" <nickl at pacific dot net dot au>
Subject:  Re:  USB RAM & card readers

Hi Voytek

In response to a message sent 2004-08-19 18:20:09 +1000 (EST) (Thu) by "Voytek Eymont" <voytek at sbt dot net dot au> about Re:  USB RAM & card readers:

> Nicholas Lysaght said:
> > Congratulations :-) What size is the Memory Stick?
>
> 1GB Shintaro

Miles bigger than mine. I only have a 128MB Astone.

>
> >> when I insert my stick, it does show up in drive objects, as a 'FAT'
> >> device
> >
> > Just like my Thumb Drive. As I write, I can only delete data on it. If I
> > format it, it will turn into a 1.44 Floppy, but you can get the format
> > back by going to Wintendo and it will format it back to however big your
> > card is.
>
> wintendo tool offers formats:
>
> USB FDD; USB HDD; USB ZIP
> and, partitions:
> standard disk/security disk
>
> I haven't as yet tried, only this morning I installed USB/2 drivers

Fair enough.
>
>
> >> however, when I plug in card reader (Shintaro 12-1), I don't get much
> >> card reader's SD light lights up when SD card is inserted
> >>
> >> presumedly, for card reader, I need to add support for additional
> media,
> >> how ?
> >>
> >> can OS/2 boot from USB ?
> >
> > I have a memory card in my Vivitar Digital Camera, but if inserted, only
> > the Card is read and not the original storage. So if I have images
> stored
> > in the original, to get them I must take the card out and download them.
> >
> > I would be interested if you are successful in formatting your Memory
> > Stick (Thumb Drive?) to HPFS.
>
> I'll try perhaps later today

I wish you luck, and be careful. Thanks.

20/8/2004 1002: This is out of date....looks like you succeeded. Great. I'll need to study the USB entries, and see how you did it.

This is what my entries look like:

REM BASEDEV=USBUHCD.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBD.SYS
BASEDEV=USBHID.SYS
BASEDEV=USBMSD.ADD /FLOPPIES:0 REMOVABLES:2 /V  
REM BASEDEV=USBCDROM.ADD
DEVICE=E:\OS2\BOOT\USBKBD.SYS
DEVICE=E:\OS2\BOOT\USBMOUSE.SYS
REM DEVICE=E:\OS2\BOOT\USBCOM.SYS
DEVICE=E:\OS2\BOOT\USBPRT.SYS
DEVICE=E:\OS2\BOOT\USBRESMG.SYS

I think there's work I have to do.

Thanks for your help.

NICK

>
> --
> Voytek
>
> ----------------------------------------------------------------------------
> ------
>  
> ÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿ
----------------------------------------------------------------------------------
 
**= Email   3 ==========================**

Date:  Fri, 20 Aug 2004 12:41:59 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  USB RAM & card readers

Nicholas Lysaght said:

>
> 20/8/2004 1002: This is out of date....looks like you succeeded. Great.
> I'll need to study the USB entries, and see how you did it.

I wish I had NOT partitioned it...yet..

I need to transfer data from a failed Mac to Wintendo, and, with only
512MB I keep walking back 'n' forth between the two...

-- 
Voytek
----------------------------------------------------------------------------------
 
**= Email   4 ==========================**

Date:  Fri, 20 Aug 2004 14:54:30 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  USB RAM & card readers

On Fri, 20 Aug 2004 12:41:59 +1000 (EST), Voytek Eymont wrote:

>
>Nicholas Lysaght said:
>
>>
>> 20/8/2004 1002: This is out of date....looks like you succeeded. Great.
>> I'll need to study the USB entries, and see how you did it.
>
>
>I wish I had NOT partitioned it...yet..
>
>I need to transfer data from a failed Mac to Wintendo, and, with only
>512MB I keep walking back 'n' forth between the two...

How about re-partitioning it into four or more FAT16 volumes?

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Fri, 20 Aug 2004 15:09:34 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  USB RAM & card readers

John Angelico said:

>>I need to transfer data from a failed Mac to Wintendo, and, with only
>>512MB I keep walking back 'n' forth between the two...
>
> How about re-partitioning it into four or more FAT16 volumes?

nope, I had a 1 GB FAT partition, not knowing I'll need that much or more
in the next half hour, I LVMed it down to 512 Mac can see, and, 512 Mac
doesn't see; and, I no longer had OS/2 or LVM to LVM it back to single 1GB
FAT

-- 
Voytek
----------------------------------------------------------------------------------
 
**= Email   6 ==========================**

Date:  Fri, 20 Aug 2004 16:13:41 -0000
From:  "Nicholas Lysaght" <nickl at pacific dot net dot au>
Subject:  Re:  USB RAM & card readers

Hi Voytek et al
In response to a message sent 2004-08-20 15:09:34 +1000 (EST) (Fri) by "Voytek Eymont" <voytek at sbt dot net dot au> about Re:  USB RAM & card readers:

> John Angelico said:
>
> >>I need to transfer data from a failed Mac to Wintendo, and, with only
> >>512MB I keep walking back 'n' forth between the two...
> >
> > How about re-partitioning it into four or more FAT16 volumes?
>
> nope, I had a 1 GB FAT partition, not knowing I'll need that much or more
> in the next half hour, I LVMed it down to 512 Mac can see, and, 512 Mac
> doesn't see; and, I no longer had OS/2 or LVM to LVM it back to single 1GB
> FAT

I'm sorry if I've caused you inconvenience over this.

It looks like something similar has now happened to me.

It appears I had the method wrong. As the following cut-and-paste log will show, I can Format to HPFS, but not to FAT16 beyond 1.44 that it will access. Weird. 

-----------------------------------------------

[E:\]format f: /fs:fat
The new type of file system is FAT.

Warning!  All data on hard disk F: will be lost!
Proceed with FORMAT (Y/N)? y
The Volume Serial Number is CD1C-AC11.

Enter up to 11 characters for the volume label
or press Enter for no volume label. p

        1457664 bytes total disk space
        1457664 bytes available on disk

            512 bytes in each allocation unit.
           2847 available allocation units on disk.

VISIT TO LVM.

Dit the DELETE/CREATE PARTITION thing on LVM. Saved changes:

[E:\]FORMAT F: /FS:HPFS
Warning!  All data on hard disk F: will be lost!
Proceed with FORMAT (Y/N)? Y

Formatting...

100% of the disk has been formatted.

Format completed successfully.

Enter up to 11 characters for the volume label
or press Enter for no volume label. HPFS
  126960 kilobytes total disk space.
  123534 kilobytes are available.

After copying a typical OS/2 Directory to it, all seemed good, then thought I'd reformat it to FAT again.

[E:\]FORMAT F: /FS:FAT
The type of file system for the disk is HPFS.
The new type of file system is FAT.

Warning!  All data on hard disk F: will be lost!
Proceed with FORMAT (Y/N)? Y
The Volume Serial Number is CD07-AC11.

Enter up to 11 characters for the volume label
or press Enter for no volume label. FAT
SYS0026: The specified disk or diskette cannot be accessed.

Enter up to 11 characters for the volume label
or press Enter for no volume label.

       33548288 bytes total disk space
       25998336 bytes in defective sectors
        7549952 bytes available on disk

            512 bytes in each allocation unit.
          65524 available allocation units on disk.

This cannot be accessed.

[E:\]FORMAT F: /FS:HPFS
Warning!  All data on hard disk F: will be lost!
Proceed with FORMAT (Y/N)? Y

Formatting...

100% of the disk has been formatted.

Format completed successfully.

Enter up to 11 characters for the volume label
or press Enter for no volume label. HPFS
    1440 kilobytes total disk space.
    1240 kilobytes are available.

An HPFS format for a floppy? Weird.

[E:\]FORMAT F: /FS:FAT
The type of file system for the disk is HPFS.
The new type of file system is FAT.

Warning!  All data on hard disk F: will be lost!
Proceed with FORMAT (Y/N)? Y
The Volume Serial Number is CBDF-2C11.

Enter up to 11 characters for the volume label
or press Enter for no volume label. FAT
SYS0026: The specified disk or diskette cannot be accessed.

Enter up to 11 characters for the volume label
or press Enter for no volume label.

       33548288 bytes total disk space
       25655808 bytes in defective sectors
        7892480 bytes available on disk

            512 bytes in each allocation unit.
          65524 available allocation units on disk.

[E:\]DIR F:

Volume in drive F has no label.
The Volume Serial Number is 534E:4A52.
Directory of F:\

SYS0026: The specified disk or diskette cannot be accessed.

REBOOT TIME

When rebooted, the disk came up formatted as FAT32. 
Cannot reformat to anything outside of 32MB total
When I reformatted again:

[E:\]format f: /fs:fat
The new type of file system is FAT.

Warning!  All data on hard disk F: will be lost!
Proceed with FORMAT (Y/N)? y
The Volume Serial Number is CBB5-8C11.

Enter up to 11 characters for the volume label
or press Enter for no volume label. fat16

        1457664 bytes total disk space
        1457664 bytes available on disk

            512 bytes in each allocation unit.
           2847 available allocation units on disk.

Now the partition is visible again!

FULL CIRCLE!

so LVM again.

This time with FAT

[E:\]FORMAT F: /FS:FAT
The new type of file system is FAT.

Warning!  All data on hard disk F: will be lost!
Proceed with FORMAT (Y/N)? Y
The Volume Serial Number is CD1C-D011.

Enter up to 11 characters for the volume label
or press Enter for no volume label. FAT
SYS0026: The specified disk or diskette cannot be accessed.

Enter up to 11 characters for the volume label
or press Enter for no volume label.

       33548288 bytes total disk space
       25655808 bytes in defective sectors
        7892480 bytes available on disk

            512 bytes in each allocation unit.
          65524 available allocation units on disk.

-----------------------------------------------

Only when I rebooted and reforamtted what was essentially a FAT32 "Floppy" back to 1.44, did the partition come up again.

I will sit down again tonight and try and work out what went wrong.

I have the latest Dani Drivers in from the eCs Homepage. Not sure of the version numbers. Which ones would be specific for this problem?

>
>
>
>
> --
> Voytek
>
> ----------------------------------------------------------------------------
> ------
>  
> ÿÿÿÿÿÿÿÿÿÿÿÿÿÿÿ
----------------------------------------------------------------------------------
 
**= Email   7 ==========================**

Date:  Fri, 20 Aug 2004 22:57:29 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  USB RAM & card readers

Nicholas Lysaght said:
> Hi Voytek et al
> In response to a message sent 2004-08-20 15:09:34 +1000 (EST) (Fri) by
> "Voytek Eymont" <voytek at sbt dot net dot au> about Re:  USB RAM & card

> I'm sorry if I've caused you inconvenience over this.
>
> It looks like something similar has now happened to me.
>
> It appears I had the method wrong. As the following cut-and-paste log will
> show, I can Format to HPFS, but not to FAT16 beyond 1.44 that it will
> access. Weird.

no, you've caused me no problems at all.

I need to see what I can use this stick for, so, I figured I'd try HPFS,
but, split it in half as I need FAT Wintendo compatibility.

it was kind of unfortunate, that, an hour later I needed to trasnfer data
from a Mac, and, I didn't think there was so much data on it.

I probably should've tried fdisk to repartition it to make the Mac 2
Wintendo quicker, but, anyhow..

-- 
Voytek
----------------------------------------------------------------------------------
 
**= Email   8 ==========================**

Date:  Fri, 20 Aug 2004 23:06:43 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  USB RAM & card readers

Nicholas Lysaght said:
> Hi Voytek et al
> In response to a message sent 2004-08-20 15:09:34 +1000 (EST) (Fri) by
> "Voytek Eymont" <voytek at sbt dot net dot au> about Re:  USB RAM & card
> readers:

well, in my limited experience:

before I LVMed it, I could only format as FAT, 1GB FAT partition;
after LVM, I can format either HPFS or FAT
LVM says:
------------
[ V 1 ]                 V:  Compatibility                   FAT16         502
[ V 2 ]                 W:  Compatibility                   HPFS          486

-----------------
3    [ D2 ]                        999                    11                7
&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;
 Disk Partition         Size (MB)    Type     Status       Logical Volume
&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;&#9472;
[ free space 1 ]                7
[ A1 ]                        502  Logical   In use       [ V 1 ]
[ A2 ]                        486  Logical   In use       [ V 2 ]
[ free space 2 ]                3

now I need hi speed USB port....

btw, xcopying to HPFS formatted *seemed* quicker than xcopying to FAT
formatted;

also, since installing USB stuff, PC takes maybe one minute longer to
start up.

-- 
Voytek
----------------------------------------------------------------------------------